Text Format in JavaScript DOCX Editor

18 Aug 202615 minutes to read

JavaScript DOCX Editor (Document Editor) supports several formatting options for text such as bold, italic, font color, highlight color, and more. This section describes how to modify the formatting for selected text in detail.

Bold

The bold formatting for selected text can be retrieved or set by using the following sample code.

// Gets the value for bold formatting of selected text.
var bold = documenteditor.selection.characterFormat.bold;
// Sets bold formatting for selected text.
documenteditor.selection.characterFormat.bold = true;

You can toggle the bold formatting based on the existing value at the selection. Refer to the following sample code.

documenteditor.editor.toggleBold();

Italic

The italic formatting for selected text can be retrieved or set by using the following sample code.

// Gets the value for italic formatting of selected text.
var italic = documenteditor.selection.characterFormat.italic;
// Sets italic formatting for selected text.
documenteditor.selection.characterFormat.italic = true;

You can toggle the italic formatting based on the existing value at the selection. Refer to the following sample code.

documenteditor.editor.toggleItalic();

Underline property

The underline style for selected text can be retrieved or set by using the following sample code.

// Gets the value for underline formatting of selected text.
var underline = documenteditor.selection.characterFormat.underline;
// Sets underline formatting for selected text.
documenteditor.selection.characterFormat.underline = 'Single';

You can toggle the underline style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

documenteditor.editor.toggleUnderline('Single');

Strikethrough property

The strikethrough style for selected text can be retrieved or set by using the following sample code.

// Gets the value for strikethrough formatting of selected text.
var strikethrough = documenteditor.selection.characterFormat.strikethrough;
// Sets strikethrough formatting for selected text.
documenteditor.selection.characterFormat.strikethrough = 'Single';

You can toggle the strikethrough style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

documenteditor.editor.toggleStrikethrough();

Superscript property

The selected text can be made superscript by using the following sample code.

// Gets the value for baselineAlignment formatting of selected text.
var baselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
// Sets baselineAlignment formatting for selected text.
documenteditor.selection.characterFormat.baselineAlignment = 'Superscript';

Toggle the selected text as superscript or normal using the following sample code.

documenteditor.editor.toggleSuperscript();

Subscript property

The selected text can be made subscript by using the following sample code.

// Gets the value for baselineAlignment formatting of selected text.
var baselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
// Sets baselineAlignment formatting for selected text.
documenteditor.selection.characterFormat.baselineAlignment = 'Subscript';

Toggle the selected text as subscript or normal using the following sample code.

documenteditor.editor.toggleSubscript();

You can reset subscript or superscript text to normal using the following code.

documenteditor.selection.characterFormat.baselineAlignment = 'Normal';

Change case

You can apply different case formatting to the selected text. Refer to the following sample code.

documenteditor.editor.changeCase('Uppercase');

Size

The size of selected text can be retrieved or set using the following code.

// Gets the value for fontSize formatting of selected text.
var fontSize = documenteditor.selection.characterFormat.fontSize;
// Sets fontSize formatting for selected text.
documenteditor.selection.characterFormat.fontSize = 32;

Color

Change Font Color by UI Option

In the Document Editor, the Text Properties pane features two icons for managing text color within the user interface (UI):

  • Colored Box: This icon visually represents the current color applied to the selected text.
  • Text (A) Icon: Clicking this icon allows users to modify the color of the selected text by choosing a new color from the available options.

This Font Color option appears as follows.

Font Color

Change Font Color by Code

The color of selected text can be retrieved or set using the following code.

// Gets the value for fontColor formatting of selected text.
var fontColor = documenteditor.selection.characterFormat.fontColor;
// Sets fontColor formatting for selected text.
documenteditor.selection.characterFormat.fontColor = 'Pink';
documenteditor.selection.characterFormat.fontColor = '#FFC0CB';

Font

The font style of selected text can be retrieved or set using the following sample code.

// Gets the value for fontFamily formatting of selected text.
var fontFamily = documenteditor.selection.characterFormat.fontFamily;
// Sets fontFamily formatting for selected text.
documenteditor.selection.characterFormat.fontFamily = 'Arial';

Highlight color

The highlight color of the selected text can be retrieved or set using the following sample code.

// Gets the value for highlightColor formatting of selected text.
var highlightColor = documenteditor.selection.characterFormat.highlightColor;
// Sets highlightColor formatting for selected text.
documenteditor.selection.characterFormat.highlightColor = 'Pink';

NOTE

  1. Character scaling and spacing present in the input Word document are preserved in the exported Word document.
  2. Scaling is implemented using the letterSpacing property, which may present compatibility problems. For more information, please refer to this link.

Bidirectional

The bidi property controls whether selected text is displayed as right-to-left (RTL) or left-to-right (LTR) for proper multilingual formatting. You can retrieve or set this property using the following code example.

// Gets the value for bidi of selected text.
var bidi = documenteditor.selection.characterFormat.bidi;
// Sets bidi for selected text.
documenteditor.selection.characterFormat.bidi = true;

Toolbar with options for text formatting

Refer to the following example.

var documenteditor = new ej.documenteditor.DocumentEditor({ isReadOnly: false, enableSelection: true, enableEditorHistory: true, enableEditor: true, enableSfdtExport: true, height: '370px' });
function toolbarButtonClick(arg) {
  switch (arg.item.id) {
    case 'bold':
      //Toggles the bold of selected content
      documenteditor.editor.toggleBold();
      break;
    case 'italic':
      //Toggles the Italic of selected content
      documenteditor.editor.toggleItalic();
      break;
    case 'underline':
      //Toggles the underline of selected content
      documenteditor.editor.toggleUnderline('Single');
      break;
    case 'strikethrough':
      //Toggles the strikethrough of selected content
      documenteditor.editor.toggleStrikethrough();
      break;
    case 'subscript':
      //Toggles the subscript of selected content
      documenteditor.editor.toggleSubscript();
      break;
    case 'superscript':
      //Toggles the superscript of selected content
      documenteditor.editor.toggleSuperscript();
      break;
  }
}
//To change the font Style of selected content
function changeFontFamily(args) {
  documenteditor.selection.characterFormat.fontFamily = args.value;
  documenteditor.focusIn();
}
//To Change the font Size of selected content
function changeFontSize(args) {
  documenteditor.selection.characterFormat.fontSize = args.value;
  documenteditor.focusIn();
}
//To Change the font Color of selected content
function changeFontColor(args) {
  documenteditor.selection.characterFormat.fontColor = args.currentValue.hex;
  documenteditor.focusIn();
}
documenteditor.selectionChange = () => {
  setTimeout(() => { onSelectionChange(); }, 20);
};
//Selection change to retrieve formatting
function onSelectionChange() {
  if (documenteditor.selection) {
    enableDisableFontOptions();
    // #endregion
  }
}
function enableDisableFontOptions() {
  var characterformat = documenteditor.selection.characterFormat;
  var properties = [characterformat.bold, characterformat.italic, characterformat.underline, characterformat.strikeThrough];
  var toggleBtnId = ["bold", "italic", "underline", "strikethrough"];
  for (var i = 0; i < properties.length; i++) {
    changeActiveState(properties[i], toggleBtnId[i]);
  }
}
function changeActiveState(property, btnId) {
  var toggleBtn = document.getElementById(btnId);
  if ((typeof (property) == 'boolean' && property == true) || (typeof (property) == 'string' && property !== 'None'))
    toggleBtn.classList.add("e-btn-toggle");
  else {
    if (toggleBtn.classList.contains("e-btn-toggle"))
      toggleBtn.classList.remove("e-btn-toggle");
  }
}
var fontStyle = ['Algerian', 'Arial', 'Calibri', 'Cambria', 'Cambria Math', 'Candara', 'Courier New', 'Georgia', 'Impact', 'Segoe Print', 'Segoe Script', 'Segoe UI', 'Symbol', 'Times New Roman', 'Verdana', 'Windings'
];
var fontSize = ['8', '9', '10', '11', '12', '14', '16', '18',
  '20', '22', '24', '26', '28', '36', '48', '72', '96'];
var toolBar = new ej.navigations.Toolbar({
  clicked: toolbarButtonClick,
  items: [
    {
      prefixIcon: 'e-de-ctnr-bold e-icons',
      tooltipText: 'Bold',
      id: 'bold',
    },
    {
      prefixIcon: 'e-de-ctnr-italic e-icons',
      tooltipText: 'Italic',
      id: 'italic',
    },
    {
      prefixIcon: 'e-de-ctnr-underline e-icons',
      tooltipText: 'Underline',
      id: 'underline',
    },
    {
      prefixIcon: 'e-de-ctnr-strikethrough e-icons',
      tooltipText: 'Strikethrough',
      id: 'strikethrough',
    },
    {
      prefixIcon: 'e-de-ctnr-subscript e-icons',
      tooltipText: 'Subscript',
      id: 'subscript',
    },
    {
      prefixIcon: 'e-de-ctnr-superscript e-icons',
      tooltipText: 'Superscript',
      id: 'superscript',
    },
    { type: 'Separator' },
    {
      type: 'Input',
      template: new ej.inputs.ColorPicker({
        value: '#000000',
        showButtons: true,
        change: changeFontColor
      }),
    },
    { type: 'Separator' },
    {
      type: 'Input',
      template: new ej.dropdowns.ComboBox({
        dataSource: fontStyle,
        width: 120,
        index: 2,
        allowCustom: true,
        change: changeFontFamily,
        showClearButton: false,
      }),
    },
    {
      type: 'Input',
      template: new ej.dropdowns.ComboBox({
        dataSource: fontSize,
        width: 80,
        allowCustom: true,
        index: 2,
        change: changeFontSize,
        showClearButton: false,
      }),
    },
  ],
});
toolBar.appendTo('#toolbar');
documenteditor.appendTo('#DocumentEditor');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-documenteditor/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-dropdowns/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-lists/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-navigations/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-popups/styles/fabric.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-splitbuttons/styles/fabric.css" rel="stylesheet"> 
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="toolbar">            
        </div>
        <div style="width:100%;height: 100%">
            <!--Element which will render as DocumentEditor -->
            <div id="DocumentEditor"></div>
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Online Demo

Explore how to apply text formatting in Word documents using the JavaScript (ES5) Document Editor in this live demo here.

See Also

Text Format in Angular DOCX Editor

14 Aug 202614 minutes to read

Angular DOCX Editor (Document Editor) supports several formatting options for text like bold, italic, font color, highlight color, and more. This section describes how to modify the formatting for selected text in detail.

Bold

The bold formatting for selected text can be retrieved or set by using the following sample code.

//Gets the value for bold formatting of selected text.
let bold : boolean = documenteditor.selection.characterFormat.bold;
//Sets bold formatting for selected text.
documenteditor.selection.characterFormat.bold = true;

You can toggle the bold formatting based on the existing value at the selection. Refer to the following sample code.

documenteditor.editor.toggleBold();

Italic

The italic formatting for selected text can be retrieved or set by using the following sample code.

//Gets the value for italic formatting of selected text.
let italic : boolean = documenteditor.selection.characterFormat.italic;
//Sets italic formatting for selected text.
documenteditor.selection.characterFormat.italic= true|false;

You can toggle the italic formatting based on the existing value at the selection. Refer to the following sample code.

documenteditor.editor.toggleItalic();

Underline property

The underline style for selected text can be retrieved or set by using the following sample code.

//Gets the value for underline formatting of selected text.
let underline : Underline = documenteditor.selection.characterFormat.underline;
//Sets underline formatting for selected text.
documenteditor.selection.characterFormat.underline='Single' | 'None';

You can toggle the underline style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

documenteditor.editor.toggleUnderline('Single');

Strikethrough property

The strikethrough style for selected text can be retrieved or set by using the following sample code.

//Gets the value for strikethrough formatting of selected text.
let strikethrough : Strikethrough = documenteditor.selection.characterFormat.strikethrough;
//Sets strikethrough formatting for selected text.
documenteditor.selection.characterFormat.strikethrough='Single' | 'Normal';

You can toggle the strikethrough style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

documenteditor.editor.toggleStrikethrough();

Superscript property

The selected text can be made superscript by using the following sample code.

//Gets the value for baselineAlignment formatting of selected text.
let baselineAlignment : BaselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
//Sets baselineAlignment formatting for selected text.
documenteditor.selection.characterFormat.baselineAlignment='Superscript';

Toggle the selected text as superscript or normal using the following sample code.

documenteditor.editor.toggleSuperscript();

Subscript property

The selected text can be made subscript by using the following sample code.

//Gets the value for baselineAlignment formatting of selected text.
let baselineAlignment : BaselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
//Sets baselineAlignment formatting for selected text.
documenteditor.selection.characterFormat.baselineAlignment='Subscript';

Toggle the selected text as subscript or normal using the following sample code.

documenteditor.editor.toggleSubscript();

You can make a subscript or superscript text as normal using the following code.

documenteditor.selection.characterFormat.baselineAlignment='Normal';

Change case

You can apply different case formatting based on the selected text. Refer to the following sample code.

documenteditor.editor.changeCase('Uppercase'|'Lowercase'|'SentenceCase'|'ToggleCase'|'CapitalizeEachWord');

Size

The size of selected text can be retrieved or set using the following code.

//Gets the value for fontSize formatting of selected text.
let fontSize : number = documenteditor.selection.characterFormat.fontSize;
//Sets fontSize formatting for selected text.
documenteditor.selection.characterFormat.fontSize= 32;

Color

Change font color by UI option

In the Document Editor, the Text Properties pane features two icons for managing text color within the user interface (UI):

  • Colored Box: This icon visually represents the current color applied to the selected text.
  • Text (A) Icon: Clicking this icon allows users to modify the color of the selected text by choosing a new color from the available options.

This Font Color option appears as follows.

Font Color

Change font color by code

The color of selected text can be retrieved or set using the following code.

//Gets the value for fontColor formatting of selected text.
let fontColor : string = documenteditor.selection.characterFormat.fontColor;
//Sets fontColor formatting for selected text.
documenteditor.selection.characterFormat.fontColor= 'Pink';
documenteditor.selection.characterFormat.fontColor= '#FFC0CB';

Font

The font style of selected text can be retrieved or set using the following sample code.

//Gets the value for fontFamily formatting of selected text.
let baselineAlignment : string = documenteditor.selection.characterFormat.fontFamily;
//Sets fontFamily formatting for selected text.
documenteditor.selection.characterFormat.fontFamily = 'Arial';

Highlight color

The highlight color of the selected text can be retrieved or set using the following sample code.

//Gets the value for highlightColor formatting of selected text.
let highlightColor : HighlightColor = documenteditor.selection.characterFormat.highlightColor;
//Sets highlightColor formatting for selected text.
documenteditor.selection.characterFormat.highlightColor= 'Pink';

Bidirectional

The bidi property controls whether selected text is displayed as right-to-left (RTL) or left-to-right (LTR) for proper multilingual formatting. You can get or set this property using the following code example.

// Get Bidi value of selected text
let bidi: boolean = documenteditor.selection.characterFormat.bidi;

// Set Bidi for selected text
documenteditor.selection.characterFormat.bidi= true;

Toolbar with options for text formatting

Refer to the following example.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DocumentEditorAllModule } from '@syncfusion/ej2-angular-documenteditor';

import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
  DocumentEditorComponent,
  EditorService,
  SelectionService,
  SfdtExportService,
  TableDialogService,
  EditorHistoryService,
} from '@syncfusion/ej2-angular-documenteditor';
import { ItemModel, Toolbar } from '@syncfusion/ej2-navigations';

import { classList, createElement } from '@syncfusion/ej2-base';

@Component({
  imports: [ButtonModule, DocumentEditorAllModule],

  standalone: true,
  selector: 'app-container',

  //specifies the template string for the Document Editor Container component
  template: `<div style="width:100%;">
      <ejs-documenteditor #document_editor  id="container" height="330px"  
        style="display:block" [isReadOnly]=false [enableEditor]=true [enableSfdtExport]=true [enableEditorHistory]=true
    [enableTableDialog]=true (selectionChange)='onSelectionChange()'> </ejs-documenteditor></div>`,
  encapsulation: ViewEncapsulation.None,
  providers: [
    EditorService,
    SelectionService,
    SfdtExportService,
    TableDialogService,
    EditorHistoryService,
  ],
})
export class AppComponent {
  @ViewChild('document_editor')
  public documentEditor?: DocumentEditorComponent;
  public fontStyle: string[] = [
    'Algerian',
    'Arial',
    'Calibri',
    'Cambria',
    'Cambria Math',
    'Candara',
    'Courier New',
    'Georgia',
    'Impact',
    'Segoe Print',
    'Segoe Script',
    'Segoe UI',
    'Symbol',
    'Times New Roman',
    'Verdana',
    'Windings',
  ];
  public fontSize: string[] = [
    '8',
    '9',
    '10',
    '11',
    '12',
    '14',
    '16',
    '18',
    '20',
    '22',
    '24',
    '26',
    '28',
    '36',
    '48',
    '72',
    '96',
  ];
  public toolBar: Toolbar = new Toolbar({
    clicked: this.toolbarButtonClick.bind(this),
    items: [
      {
        prefixIcon: 'e-de-ctnr-bold e-icons',
        tooltipText: 'Bold',
        id: 'bold',
      },
      {
        prefixIcon: 'e-de-ctnr-italic e-icons',
        tooltipText: 'Italic',
        id: 'italic',
      },
      {
        prefixIcon: 'e-de-ctnr-underline e-icons',
        tooltipText: 'Underline',
        id: 'underline',
      },
      {
        prefixIcon: 'e-de-ctnr-strikethrough e-icons',
        tooltipText: 'strikethrough',
        id: 'strikethrough',
      },
      {
        prefixIcon: 'e-de-ctnr-subscript e-icons',
        tooltipText: 'subscript',
        id: 'subscript',
      },
      {
        prefixIcon: 'e-de-ctnr-superscript e-icons',
        tooltipText: 'superscript',
        id: 'superscript',
      },
    ],
  });
  ngAfterViewInit() {
    if (this.toolBar) {
      this.toolBar.appendTo('#toolbar'); // Ensure #toolbar exists in your template
    }
  }

  toolbarButtonClick(arg: { item: { id: any } }) {
    switch (arg.item.id) {
      case 'bold':
        //Toggles the bold of selected content
        this.documentEditor?.editor.toggleBold();
        break;
      case 'italic':
        //Toggles the Italic of selected content
        this.documentEditor?.editor.toggleItalic();
        break;
      case 'underline':
        //Toggles the underline of selected content
        this.documentEditor?.editor.toggleUnderline('Single');
        break;
      case 'strikethrough':
        //Toggles the strikethrough of selected content
        this.documentEditor?.editor.toggleStrikethrough();
        break;
      case 'subscript':
        //Toggles the subscript of selected content
        this.documentEditor?.editor.toggleSubscript();
        break;
      case 'superscript':
        //Toggles the superscript of selected content
        this.documentEditor?.editor.toggleSuperscript();
        break;
    }
  }

  public changeFontFamily(args: { value: any }) {
    (
      this.documentEditor as DocumentEditorComponent
    ).selection.characterFormat.fontFamily = args.value;
    this.documentEditor?.focusIn();
  }
  //To Change the font Size of selected content
  public changeFontSize(args: { value: any }) {
    (
      this.documentEditor as DocumentEditorComponent
    ).selection.characterFormat.fontSize = args.value;
    this.documentEditor?.focusIn();
  }
  //To Change the font Color of selected content
  public changeFontColor(args: { currentValue: any }) {
    (
      this.documentEditor as DocumentEditorComponent
    ).selection.characterFormat.fontColor = args.currentValue.hex;
    this.documentEditor?.focusIn();
  }
  // Handle selection change for toolbar state toggling
  public onSelectionChange(): void {
    const characterFormat = this.documentEditor?.selection.characterFormat;
    const properties = [
      characterFormat?.bold,
      characterFormat?.italic,
      characterFormat?.underline,
      characterFormat?.strikethrough,
    ];
    var toggleBtnId = ['bold', 'italic', 'underline', 'strikethrough'];

    for (var i = 0; i < properties.length; i++) {
      var toggleBtn = document.getElementById(toggleBtnId[i]) as HTMLElement;
      if (
        (typeof properties[i] == 'boolean' && properties[i] == true) ||
        (typeof properties[i] == 'string' && properties[i] !== 'None')
      ) {
        toggleBtn.classList.add('e-btn-toggle');
      } else {
        if (toggleBtn.classList.contains('e-btn-toggle'))
          toggleBtn.classList.remove('e-btn-toggle');
      }
    }
  }
}

Online demo

Explore how to apply text formatting in Word documents using the Angular Document Editor in this live demo here.

See also

Text Format in React DOCX Editor

14 Aug 202618 minutes to read

React Document Editor (Document Editor) supports several formatting options for text like bold, italic, font color, highlight color, and more. This section describes how to modify the formatting for selected text in detail.

Bold

The bold formatting for selected text can be retrieved or set by using the following sample code.

   //Gets the value for bold formatting of selected text.
   let bold : boolean = documenteditor.selection.characterFormat.bold;
   //Sets bold formatting for selected text.
   documenteditor.selection.characterFormat.bold = true;

You can toggle the bold formatting based on the existing value at the selection. Refer to the following sample code.

   documenteditor.editor.toggleBold();

Italic

The italic formatting for selected text can be retrieved or set by using the following sample code.

    //Gets the value for italic formatting of selected text.
    let italic : boolean = documenteditor.selection.characterFormat.italic;
   //Sets italic formatting for selected text.
   documenteditor.selection.characterFormat.italic= true|false;

You can toggle the italic formatting based on the existing value at the selection. Refer to the following sample code.

   documenteditor.editor.toggleItalic();

Underline property

The underline style for selected text can be retrieved or set by using the following sample code.

   //Gets the value for underline formatting of selected text.
   let underline : Underline = documenteditor.selection.characterFormat.underline;
   //Sets underline formatting for selected text.
   documenteditor.selection.characterFormat.underline='Single' | 'None';

You can toggle the underline style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

    documenteditor.editor.toggleUnderline('Single');

Strikethrough property

The strikethrough style for selected text can be retrieved or set by using the following sample code.

    //Gets the value for strikethrough formatting of selected text.
    let strikethrough : Strikethrough = documenteditor.selection.characterFormat.strikethrough;
    //Sets strikethrough formatting for selected text.
    documenteditor.selection.characterFormat.strikethrough='Single' | 'Normal';

You can toggle the strikethrough style of selected text based on the existing value at the selection by specifying a value. Refer to the following sample code.

    documenteditor.editor.toggleStrikethrough();

Superscript property

The selected text can be made superscript by using the following sample code.

    //Gets the value for baselineAlignment formatting of selected text.
     let baselineAlignment : BaselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
    //Sets baselineAlignment formatting for selected text.
     documenteditor.selection.characterFormat.baselineAlignment = 'Superscript';

Toggle the selected text as superscript or normal using the following sample code.

      documenteditor.editor.toggleSuperscript();

Subscript property

The selected text can be made subscript by using the following sample code.

     //Gets the value for baselineAlignment formatting of selected text.
     let baselineAlignment : BaselineAlignment = documenteditor.selection.characterFormat.baselineAlignment;
    //Sets baselineAlignment formatting for selected text.
     documenteditor.selection.characterFormat.baselineAlignment = 'Subscript';

Toggle the selected text as subscript or normal using the following sample code.

    documenteditor.editor.toggleSubscript();

You can make a subscript or superscript text as normal using the following code.

     documenteditor.selection.characterFormat.baselineAlignment='Normal';

Change case

You can apply different case formatting based on the selected text. Refer to the following sample code.

documenteditor.editor.changeCase('Uppercase'|'Lowercase'|'SentenceCase'|'ToggleCase'|'CapitalizeEachWord');

Size

The size of selected text can be retrieved or set using the following code.

   //Gets the value for fontSize formatting of selected text.
   let fontSize : number = documenteditor.selection.characterFormat.fontSize;
   //Sets fontSize formatting for selected text.
   documenteditor.selection.characterFormat.fontSize= 32;

Color

Change Font Color by UI Option

In the Document Editor, the Text Properties pane features two icons for managing text color within the user interface (UI):

  • Colored Box: This icon visually represents the current color applied to the selected text.
  • Text (A) Icon: Clicking this icon allows users to modify the color of the selected text by choosing a new color from the available options.

This Font Color option appears as follows.

Font Color

Change Font Color by Code

The color of selected text can be retrieved or set using the following code.

//Gets the value for fontColor formatting of selected text.
let fontColor : string = documenteditor.selection.characterFormat.fontColor;
//Sets fontColor formatting for selected text.
documenteditor.selection.characterFormat.fontColor= 'Pink';
documenteditor.selection.characterFormat.fontColor= '#FFC0CB';

Font

The font style of selected text can be retrieved or set using the following sample code.

//Gets the value for fontFamily formatting of selected text.
let baselineAlignment : string = documenteditor.selection.characterFormat.fontFamily;
//Sets fontFamily formatting for selected text.
documenteditor.selection.characterFormat.fontFamily = 'Arial';

Highlight color

The highlight color of the selected text can be retrieved or set using the following sample code.

//Gets the value for highlightColor formatting of selected text.
let highlightColor : HighlightColor = documenteditor.selection.characterFormat.highlightColor;
//Sets highlightColor formatting for selected text.
documenteditor.selection.characterFormat.highlightColor= 'Pink';

Bidirectional

The bidi property controls whether selected text is displayed as right-to-left (RTL) or left-to-right (LTR) for proper multilingual formatting. You can get or set this property using the following code example.

// Get Bidi value of selected text
let bidi: boolean = documenteditor.selection.characterFormat.bidi;

// Set Bidi for selected text
documenteditor.selection.characterFormat.bidi= true;

Toolbar with options for text formatting

Refer to the following example.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { DocumentEditorComponent, Selection, Editor, EditorHistory, ContextMenu } from '@syncfusion/ej2-react-documenteditor';
import { ToolbarComponent, ItemDirective, ItemsDirective } from '@syncfusion/ej2-react-navigations';
import { ComboBoxComponent } from '@syncfusion/ej2-react-dropdowns';
import { ColorPickerComponent } from '@syncfusion/ej2-react-inputs';

DocumentEditorComponent.Inject(Selection, Editor, EditorHistory, ContextMenu);

function App() {
    let documenteditor: DocumentEditorComponent;
    React.useEffect(() => {
        componentDidMount()
    }, []);
    function componentDidMount() {
        documenteditor.selectionChange = () => {
            setTimeout(() => { onSelectionChange(); }, 20);
        };
    }

    function toolbarButtonClick(arg) {
        switch (arg.item.id) {
            case 'bold':
                //Toggles the bold of selected content
                documenteditor.editor.toggleBold();
                break;
            case 'italic':
                //Toggles the Italic of selected content
                documenteditor.editor.toggleItalic();
                break;
            case 'underline':
                //Toggles the underline of selected content
                documenteditor.editor.toggleUnderline('Single');
                break;
            case 'strikethrough':
                //Toggles the strikethrough of selected content
                documenteditor.editor.toggleStrikethrough();
                break;
            case 'subscript':
                //Toggles the subscript of selected content
                documenteditor.editor.toggleSubscript();
                break;
            case 'superscript':
                //Toggles the superscript of selected content
                documenteditor.editor.toggleSuperscript();
                break;
        }
    }
    //To change the font Style of selected content
    function changeFontFamily(args): void {
        documenteditor.selection.characterFormat.fontFamily = args.value;
        documenteditor.focusIn();
    }
    //To Change the font Size of selected content
    function changeFontSize(args): void {
        documenteditor.selection.characterFormat.fontSize = args.value;
        documenteditor.focusIn();
    }
    //To Change the font Color of selected content
    function changeFontColor(args) {
        documenteditor.selection.characterFormat.fontColor = args.currentValue.hex;
        documenteditor.focusIn();
    }

    //Selection change to retrieve formatting
    function onSelectionChange() {
        if (documenteditor.selection) {
            enableDisableFontOptions();
            // #endregion
        }
    }
    function enableDisableFontOptions() {
        var characterformat = documenteditor.selection.characterFormat;
        var properties = [characterformat.bold, characterformat.italic, characterformat.underline, characterformat.strikethrough];
        var toggleBtnId = ["bold", "italic", "underline", "strikethrough"];
        for (let i = 0; i < properties.length; i++) {
            changeActiveState(properties[i], toggleBtnId[i]);
        }
    }
    function changeActiveState(property, btnId) {
        let toggleBtn: HTMLElement = document.getElementById(btnId);
        if ((typeof (property) == 'boolean' && property == true) || (typeof (property) == 'string' && property !== 'None'))
            toggleBtn.classList.add("e-btn-toggle");
        else {
            if (toggleBtn.classList.contains("e-btn-toggle"))
                toggleBtn.classList.remove("e-btn-toggle");
        }
    }
    let fontStyle: string[] = ['Algerian', 'Arial', 'Calibri', 'Cambria', 'Cambria Math', 'Candara', 'Courier New', 'Georgia', 'Impact', 'Segoe Print', 'Segoe Script', 'Segoe UI', 'Symbol', 'Times New Roman', 'Verdana', 'Windings'
    ];
    let fontSize: string[] = ['8', '9', '10', '11', '12', '14', '16', '18',
        '20', '22', '24', '26', '28', '36', '48', '72', '96'];
    function contentTemplate1() {
        return (<ColorPickerComponent showButtons={true} value='#000000' change={changeFontColor}></ColorPickerComponent>);
    }
    function contentTemplate2() {
        return (<ComboBoxComponent dataSource={fontStyle} change={changeFontFamily} index={2} allowCustom={true} showClearButton={false} ></ComboBoxComponent>);
    }
    function contentTemplate3() {
        return (<ComboBoxComponent dataSource={fontSize} change={changeFontSize} index={2} allowCustom={true} showClearButton={false} ></ComboBoxComponent>);
    }
    return (
        <div>
            <ToolbarComponent id='toolbar' clicked={toolbarButtonClick}>
                <ItemsDirective>
                    <ItemDirective id="bold" prefixIcon="e-de-icon-Bold" tooltipText="Bold" />
                    <ItemDirective id="italic" prefixIcon="e-de-icon-Italic" tooltipText="Italic" />
                    <ItemDirective id="underline" prefixIcon="e-de-icon-Underline" tooltipText="Underline" />
                    <ItemDirective id="strikethrough" prefixIcon="e-de-icon-Strikethrough" tooltipText="Strikethrough" />
                    <ItemDirective id="subscript" prefixIcon="e-de-icon-Subscript" tooltipText="Subscript" />
                    <ItemDirective id="superscript" prefixIcon="e-de-icon-Superscript" tooltipText="Superscript" />
                    <ItemDirective type="Separator" />
                    <ItemDirective template={contentTemplate1} />
                    <ItemDirective type="Separator" />
                    <ItemDirective template={contentTemplate2} />
                    <ItemDirective template={contentTemplate3} />
                </ItemsDirective>
            </ToolbarComponent>

            <DocumentEditorComponent
                id="container"
                height={'330px'}
                ref={scope => {
                    documenteditor = scope;
                }}
                isReadOnly={false}
                enableSelection={true}
                enableEditor={true}
                enableEditorHistory={true}
                enableContextMenu={true}
            />
        </div>
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

Online Demo

Explore how to apply text formatting in Word documents using the React Document Editor in this live demo here.

See Also

Text Format in Vue DOCX Editor

14 Aug 202624 minutes to read

Vue DOCX Editor (Document Editor) supports several formatting options for text like bold, italic, font color, highlight color, and more. This section describes how to modify the formatting for selected text in detail.

Bold

The bold formatting for selected text can be get or set by using the following sample code.

//Gets the value for bold formatting of selected text.
let bold : boolean = this.$refs.documenteditor.ej2Instances.selection.characterFormat.bold;
//Sets bold formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.bold = true;

You can toggle the bold formatting based on existing value at selection. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleBold();

Italic

The Italic formatting for selected text can be get or set by using the following sample code.

//Gets the value for italic formatting of selected text.
let italic : boolean = this.$refs.documenteditor.ej2instances.selection.characterFormat.italic;
//Sets italic formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.italic= true|false;

You can toggle the Italic formatting based on existing value at selection. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleItalic();

Underline property

The underline style for selected text can be get or set by using the following sample code.

//Gets the value for underline formatting of selected text.
let underline : Underline = this.$refs.documenteditor.ej2instances.selection.characterFormat.underline;
//Sets underline formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.underline='Single' | 'None';

You can toggle the underline style of selected text based on existing value at selection by specifying a value. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleUnderline('Single');

Strikethrough property

The strikethrough style for selected text can be get or set by using the following sample code.

//Gets the value for strikethrough formatting of selected text.
let strikethrough : Strikethrough = this.$refs.documenteditor.ej2instances.selection.characterFormat.strikethrough;
//Sets strikethrough formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.strikethrough='Single' | 'Normal';

You can toggle the strikethrough style of selected text based on existing value at selection by specifying a value. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleStrikethrough();

Superscript property

The selected text can be made superscript by using the following sample code.

//Gets the value for baselineAlignment formatting of selected text.
let baselineAlignment : BaselineAlignment = this.$refs.documenteditor.ej2instances.selection.characterFormat.baselineAlignment;
//Sets baselineAlignment formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.baselineAlignment='Superscript';

Toggle the selected text as superscript or normal using the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleSuperscript();

Subscript property

The selected text can be made subscript by using the following sample code.

//Gets the value for baselineAlignment formatting of selected text.
let baselineAlignment : BaselineAlignment = this.$refs.documenteditor.ej2instances.selection.characterFormat.baselineAlignment;
//Sets baselineAlignment formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.baselineAlignment='Subscript';

Toggle the selected text as subscript or normal using the following sample code.

this.$refs.documenteditor.ej2Instances.editor.toggleSubscript();

You can make a subscript or superscript text as normal using the following code.

this.$refs.documenteditor.ej2Instances.selection.characterFormat.baselineAlignment='Normal';

Change case

You can apply different case formatting based on the selected text. Refer to the following sample code.

this.$refs.documenteditor.ej2Instances.documentEditor.editor.changeCase('Uppercase'|'Lowercase'|'SentenceCase'|'ToggleCase'|'CapitalizeEachWord');

Size

The size of selected text can be get or set using the following code.

//Gets the value for fontSize formatting of selected text.
let fontSize : number = this.$refs.documenteditor.ej2instances.selection.characterFormat.fontSize;
//Sets fontSize formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontSize= 32;

Color

Change Font Color by UI Option

In the Document Editor, the Text Properties pane features two icons for managing text color within the user interface (UI):

  • Colored Box: This icon visually represents the current color applied to the selected text.
  • Text (A) Icon: Clicking this icon allows users to modify the color of the selected text by choosing a new color from the available options.

This Font Color option appear as follows.

Font Color

Change Font Color by Code

The color of selected text can be get or set using the following code.

//Gets the value for fontColor formatting of selected text.
let fontColor : string = this.$refs.documenteditor.ej2instances.selection.characterFormat.fontColor;
//Sets fontColor formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontColor= 'Pink';
this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontColor= '#FFC0CB';

Font

The font style of selected text can be get or set using the following sample code.

//Gets the value for fontFamily formatting of selected text.
let baselineAlignment : string = this.$refs.documenteditor.ej2instances.selection.characterFormat.fontFamily;
//Sets fontFamily formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontFamily= 'Arial';

Highlight color

The highlight color of the selected text can be get or set using the following sample code.

//Gets the value for highlightColor formatting of selected text.
let highlightColor : HighlightColor = this.$refs.documenteditor.ej2instances.selection.characterFormat.highlightColor;
//Sets highlightColor formatting for selected text.
this.$refs.documenteditor.ej2Instances.selection.characterFormat.highlightColor= 'Pink';

Bidirectional

The bidi property controls whether selected text is displayed as right-to-left (RTL) or left-to-right (LTR) for proper multilingual formatting. You can get or set this property using the following code example.

// Get Bidi value of selected text
let bidi: boolean = this.$refs.documenteditor.ej2Instances.selection.characterFormat.bidi;

// Set Bidi for selected text
this.$refs.documenteditor.ej2Instances.selection.characterFormat.bidi= true;

Toolbar with options for text formatting

Refer to the following example.

<template>
  <div id="app">
    <div>
      <ejs-toolbar v-on:clicked="toolbarButtonClick">
        <e-items>
          <e-item prefixIcon="e-de-ctnr-bold e-icons" tooltipText="Bold" id="bold"></e-item>
          <e-item prefixIcon="e-de-ctnr-italic e-icons" tooltipText="Italic" id="italic"></e-item>
          <e-item prefixIcon="e-de-ctnr-underline e-icons" tooltipText="Underline" id="underline"></e-item>
          <e-item prefixIcon="e-de-ctnr-strikethrough e-icons" tooltipText="Strikethrough" id="strikethrough"></e-item>
          <e-item prefixIcon="e-de-ctnr-subscript e-icons" tooltipText="Subscript" id="subscript"></e-item>
          <e-item prefixIcon="e-de-ctnr-superscript e-icons" tooltipText="Superscript" id="superscript"></e-item>
          <e-item type="Separator"></e-item>
          <e-item type="Input" template="fontColorTemplate"></e-item>
          <e-item type="Separator"></e-item>
          <e-item type="Input" template="fontFamilyTemplate"></e-item>
          <e-item type="Input" template="fontSizeTemplate"></e-item>
        </e-items>
        <template v-slot:fontColorTemplate>
          <ejs-colorpicker value='#000000' :showButtons='true' v-bind:change='onFontColorChange'> </ejs-colorpicker>
        </template>
        <template v-slot:fontFamilyTemplate>
          <ejs-combobox :dataSource='fontStyle' :width='120' :index='2' :allowCustom='true'
            v-bind:change='onFontFamilyChange' :showClearButton='false'> </ejs-combobox>
        </template>
        <template v-slot:fontSizeTemplate>
          <ejs-combobox :dataSource='fontSize' :width='80' :index='2' :allowCustom='true'
            v-bind:change='onFontSizeChange' :showClearButton='false'> </ejs-combobox>
        </template>
      </ejs-toolbar>
    </div>
    <ejs-documenteditor ref="documenteditor" v-bind:selectionChange='onSelectionChange' :isReadOnly='false'
      :enableEditor='true' :enableEditorHistory='true' :enableSfdtExport='true' height="370px"
      style="width: 100%;"></ejs-documenteditor>
  </div>
</template>
<script setup>
import { DocumentEditorComponent as EjsDocumenteditor, Editor, Selection, EditorHistory, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';
import { ItemDirective as EItem, ItemsDirective as EItems, ToolbarComponent as EjsToolbar } from "@syncfusion/ej2-vue-navigations";
import { ColorPickerComponent as EjsColorpicker } from '@syncfusion/ej2-vue-inputs';
import { ComboBoxComponent as EjsCombobox } from "@syncfusion/ej2-vue-dropdowns";
import { onMounted, provide, ref } from 'vue';

const documenteditor = ref(null);
const fontStyle = ['Algerian', 'Arial', 'Calibri', 'Cambria', 'Cambria Math', 'Candara', 'Courier New', 'Georgia', 'Impact', 'Segoe Print', 'Segoe Script', 'Segoe UI', 'Symbol', 'Times New Roman', 'Verdana', 'Windings'];
const fontSize = ['8', '9', '10', '11', '12', '14', '16', '18', '20', '22', '24', '26', '28', '36', '48', '72', '96'];

provide('DocumentEditor', [Editor, Selection, EditorHistory, SfdtExport])

const toolbarButtonClick = function (arg) {
  switch (arg.item.id) {
    case 'bold':
      //Toggles the bold of selected content
      documenteditor.value.ej2Instances.editor.toggleBold();
      break;
    case 'italic':
      //Toggles the Italic of selected content
      documenteditor.value.ej2Instances.editor.toggleItalic();
      break;
    case 'underline':
      //Toggles the underline of selected content
      documenteditor.value.ej2Instances.editor.toggleUnderline('Single');
      break;
    case 'strikethrough':
      //Toggles the strikethrough of selected content
      documenteditor.value.ej2Instances.editor.toggleStrikethrough();
      break;
    case 'subscript':
      //Toggles the subscript of selected content
      documenteditor.value.ej2Instances.editor.toggleSubscript();
      break;
    case 'superscript':
      //Toggles the superscript of selected content
      documenteditor.value.ej2Instances.editor.toggleSuperscript();
      break;
  }
}
const onFontFamilyChange = function (args) {
  documenteditor.value.ej2Instances.selection.characterFormat.fontFamily = args.value;
  documenteditor.value.focusIn();
}
const onFontSizeChange = function (args) {
  documenteditor.value.ej2Instances.selection.characterFormat.fontSize = args.value;
  documenteditor.value.focusIn();
}
const onFontColorChange = function (args) {
  documenteditor.value.ej2Instances.selection.characterFormat.fontColor = args.currentValue.hex;
  documenteditor.value.focusIn();
}
const onSelectionChange = function () {
  var characterformat = documenteditor.value.ej2Instances.selection.characterFormat;
  var properties = [characterformat.bold, characterformat.italic, characterformat.underline, characterformat.strikeThrough];
  var toggleBtnId = ["bold", "italic", "underline", "strikethrough"];
  for (var i = 0; i < properties.length; i++) {
    let toggleBtn = document.getElementById(toggleBtnId[i]);
    if ((typeof (properties[i]) == 'boolean' && properties[i] == true) || (typeof (properties[i]) == 'string' && properties[i] !== 'None'))
      toggleBtn.classList.add("e-btn-toggle");
    else {
      if (toggleBtn.classList.contains("e-btn-toggle"))
        toggleBtn.classList.remove("e-btn-toggle");
    }
  }
}

onMounted(function () {
  documenteditor.value.ej2Instances.editor.insertTable(2, 2);
})

</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>
<template>
  <div id="app">
    <div>
      <ejs-toolbar v-on:clicked="toolbarButtonClick">
        <e-items>
          <e-item prefixIcon="e-de-ctnr-bold e-icons" tooltipText="Bold" id="bold"></e-item>
          <e-item prefixIcon="e-de-ctnr-italic e-icons" tooltipText="Italic" id="italic"></e-item>
          <e-item prefixIcon="e-de-ctnr-underline e-icons" tooltipText="Underline" id="underline"></e-item>
          <e-item prefixIcon="e-de-ctnr-strikethrough e-icons" tooltipText="Strikethrough" id="strikethrough"></e-item>
          <e-item prefixIcon="e-de-ctnr-subscript e-icons" tooltipText="Subscript" id="subscript"></e-item>
          <e-item prefixIcon="e-de-ctnr-superscript e-icons" tooltipText="Superscript" id="superscript"></e-item>
          <e-item type="Separator"></e-item>
          <e-item type="Input" template="fontColorTemplate"></e-item>
          <e-item type="Separator"></e-item>
          <e-item type="Input" template="fontFamilyTemplate"></e-item>
          <e-item type="Input" template="fontSizeTemplate"></e-item>
        </e-items>
        <template v-slot:fontColorTemplate>
          <ejs-colorpicker value='#000000' :showButtons='true' v-bind:change='onFontColorChange'> </ejs-colorpicker>
        </template>
        <template v-slot:fontFamilyTemplate>
          <ejs-combobox :dataSource='fontStyle' :width='120' :index='2' :allowCustom='true'
            v-bind:change='onFontFamilyChange' :showClearButton='false'> </ejs-combobox>
        </template>
        <template v-slot:fontSizeTemplate>
          <ejs-combobox :dataSource='fontSize' :width='80' :index='2' :allowCustom='true'
            v-bind:change='onFontSizeChange' :showClearButton='false'> </ejs-combobox>
        </template>
      </ejs-toolbar>
    </div>
    <ejs-documenteditor ref="documenteditor" v-bind:selectionChange='onSelectionChange' :isReadOnly='false'
      :enableEditor='true' :enableEditorHistory='true' :enableSfdtExport='true' height="370px"
      style="width: 100%;"></ejs-documenteditor>
  </div>
</template>
<script>
import { DocumentEditorComponent, Editor, Selection, EditorHistory, SfdtExport } from '@syncfusion/ej2-vue-documenteditor';
import { ItemDirective, ItemsDirective, ToolbarComponent } from "@syncfusion/ej2-vue-navigations";
import { ColorPickerComponent } from '@syncfusion/ej2-vue-inputs';
import { ComboBoxComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
  components: {
    'ejs-documenteditor': DocumentEditorComponent,
    'ejs-toolbar': ToolbarComponent,
    'e-items': ItemsDirective,
    'e-item': ItemDirective,
    'ejs-colorpicker': ColorPickerComponent,
    'ejs-combobox': ComboBoxComponent
  },
  data: function () {
    return {
      fontStyle: ['Algerian', 'Arial', 'Calibri', 'Cambria', 'Cambria Math', 'Candara', 'Courier New', 'Georgia', 'Impact', 'Segoe Print', 'Segoe Script', 'Segoe UI', 'Symbol', 'Times New Roman', 'Verdana', 'Windings'],
      fontSize: ['8', '9', '10', '11', '12', '14', '16', '18', '20', '22', '24', '26', '28', '36', '48', '72', '96']
    };
  },
  provide: {
    DocumentEditor: [Editor, Selection, EditorHistory, SfdtExport]
  },
  methods: {
    toolbarButtonClick: function (arg) {
      switch (arg.item.id) {
        case 'bold':
          //Toggles the bold of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleBold();
          break;
        case 'italic':
          //Toggles the Italic of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleItalic();
          break;
        case 'underline':
          //Toggles the underline of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleUnderline('Single');
          break;
        case 'strikethrough':
          //Toggles the strikethrough of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleStrikethrough();
          break;
        case 'subscript':
          //Toggles the subscript of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleSubscript();
          break;
        case 'superscript':
          //Toggles the superscript of selected content
          this.$refs.documenteditor.ej2Instances.editor.toggleSuperscript();
          break;
      }
    },
    onFontFamilyChange: function (args) {
      this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontFamily = args.value;
      this.$refs.documenteditor.focusIn();
    },
    onFontSizeChange: function (args) {
      this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontSize = args.value;
      this.$refs.documenteditor.focusIn();
    },
    onFontColorChange: function (args) {
      this.$refs.documenteditor.ej2Instances.selection.characterFormat.fontColor = args.currentValue.hex;
      this.$refs.documenteditor.focusIn();
    },
    onSelectionChange: function () {
      var characterformat = this.$refs.documenteditor.ej2Instances.selection.characterFormat;
      var properties = [characterformat.bold, characterformat.italic, characterformat.underline, characterformat.strikeThrough];
      var toggleBtnId = ["bold", "italic", "underline", "strikethrough"];
      for (var i = 0; i < properties.length; i++) {
        let toggleBtn = document.getElementById(toggleBtnId[i]);
        if ((typeof (properties[i]) == 'boolean' && properties[i] == true) || (typeof (properties[i]) == 'string' && properties[i] !== 'None'))
          toggleBtn.classList.add("e-btn-toggle");
        else {
          if (toggleBtn.classList.contains("e-btn-toggle"))
            toggleBtn.classList.remove("e-btn-toggle");
        }
      }
    }
  },
  mounted() {
    this.$refs.documenteditor.ej2Instances.editor.insertTable(2, 2);
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Online Demo

Explore how to apply text formatting in Word documents using the Vue Document Editor in this live demo here.

See Also